RP/TUX 8.0 - SDK license works with buildserver but not with buildtuxedo (Doc ID 769035.1)

Last updated on NOVEMBER 04, 2016

Applies to:

Oracle Tuxedo / Tuxedo / 8.0
Information in this document applies to any platform

Goal

Problem found on Windows 2000 and NT platform.  BuildTuxedo works on all Tux v6.4/v6.5/v7.1 but it throws 'Invalid SDK
license' error with Tux v8.0 installation.
Steps to replicate:
1) Installation Tux 8.0 with valid license on Window 2000 or NT platform
2) goto %TUXDIR%\samples\atmi\simpapp and modify the setenv.cmd to match your environment
3) run setenv.cmd and then run 'buildserver -v -o simpserv -f simpserv.c -s TOUPPER'
==> it will compile successfully
4) Then run 'buildtuxedo' ==> Invalid SDK error  (Note: I expect a "Unable to locate a valid project
error")
or you can run 'buildtuxedo valid_vc_project.ncb'  ==> Invalid SDK error  (Note: I expect to see the BuildTuxedo
dialogue box).

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms